package com.brilliance.isc.convert.mt7xx;

import com.brilliance.isc.swift.objmtconvert.manager.MtCreatorManager;
import com.brilliance.isc.swift.objmtconvert.model.commontag.ActnoBicAdrTagXXX;
import com.brilliance.isc.swift.objmtconvert.model.commontag.DcDateCurAmtTagXXX;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT720Creator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import org.junit.Test;
import java.math.BigDecimal;

public class MT720Test {
    /**
     * @author wuzhe
     * @date 2023/2/28
     */
    @Test
    public void mt720_Test() {
        MT720Creator mt720Creator=new MT720Creator("720");
        mt720Creator.setRecvBic("HSBCSGSG");//收报行
        mt720Creator.setSendBic("RBOSGB2");//发报行
        //27 1!n/1!n
        mt720Creator.setSequenceofTotal("1/1");
        //40B
        ActnoBicAdrTagXXX formofDocumentaryCredit = new ActnoBicAdrTagXXX("40");
        formofDocumentaryCredit.setType("IRREVOCABLE TRANSFERABLE");//24x
        formofDocumentaryCredit.setCode("ADDING OUR CONFIRMATION");//24x
        mt720Creator.setFormofDocumentaryCredit(formofDocumentaryCredit);
        //20 16x
        mt720Creator.setTransferringBankReference("IMP124678");
        //21 16x
        mt720Creator.setDocumentaryCreditNumber("DAE74568");
        //31C 6!n
        mt720Creator.setDateofIssue("130721");
        //40E 30x[/35x]
        mt720Creator.setApplicableRules("UCP LATEST VERSION");
        //31D 6!n29x
        mt720Creator.setDateandPlaceofExpiry("130930LONDON");
        //50 4*35x
        mt720Creator.setFirstBeneficiary("LONDON MOTOSPARES LTD\r\n12 CYCLE SQUARE\r\nUK/LONDON");
        //59
        ActnoBicAdrTagXXX secondBeneficiary = new ActnoBicAdrTagXXX("59");
        secondBeneficiary.setAcctno("LONDON MOTOSPARES LTD");//[/34x]
        secondBeneficiary.setAddress("12 CYCLE SQUARE\r\nUK/LONDON");//4*35x
        mt720Creator.setSecondBeneficiary(secondBeneficiary);
        //32B 3!a15d
        DcDateCurAmtTagXXX currencyCodeAmount = new DcDateCurAmtTagXXX("32");
        currencyCodeAmount.setCurrency("GBP");//3!a
        currencyCodeAmount.setAmount(new BigDecimal("100000"));//15d
        mt720Creator.setCurrencyCodeAmount(currencyCodeAmount);
        //41a 41A
        ActnoBicAdrTagXXX available = new ActnoBicAdrTagXXX("41");
        available.setBic("RBOSGB2L");//41A 4!a2!a2!c[3!c]
        //available.setAddress("PAYMENT");//41D 4*35x
        available.setCode("PAYMENT");//14x
        mt720Creator.setAvailable(available);
        //49 7!x
        mt720Creator.setConfirmationInstructions("WITHOUT");

        //非必选项
        //52a 52A
        ActnoBicAdrTagXXX issuingBankoftheOriginalDocumentaryCredit = new ActnoBicAdrTagXXX("52");
        issuingBankoftheOriginalDocumentaryCredit.setPartyIdentifier("A");//[/1!a][/34x]
        issuingBankoftheOriginalDocumentaryCredit.setBic("NMBANL2A");//52A 4!a2!a2!c[3!c]
        //issuingBankoftheOriginalDocumentaryCredit.setAddress("OIENER");//52D 4*35x
        mt720Creator.setIssuingBankoftheOriginalDocumentaryCredit(issuingBankoftheOriginalDocumentaryCredit);
        //50B 4*35x
        //mt720Creator.setNonBankIssueroftheOriginalDocumentaryCredit("MOTOIMPORT\r\nPO BOX 9\r\nNL/AMSTERDAM");
        //39A 2n/2n
        mt720Creator.setPercentageCreditAmountTolerance("20/23");
        //39C 4*35x
        mt720Creator.setAdditionalAmountsCovered("FREIGHT MAY BE PAID IN EXCESS OF\r\nCREDIT AMOUNT AGAINST FREIGHT NOTE");
        //42C 3*35x
        mt720Creator.setDraftsat("VMWKW\r\nNLRE");
        //42a 42A
        ActnoBicAdrTagXXX drawee = new ActnoBicAdrTagXXX("42");
        drawee.setPartyIdentifier("A");//[/1!a][/34x]
        drawee.setBic("FQEIRUWQXXX");//42A 4!a2!a2!c[3!c]
        //drawee.setAddress("VRBFD\r\nGRRW\r\nEBEF");//42D 4*35x
        mt720Creator.setDrawee(drawee);
        //42M 4*35x
        //mt720Creator.setMixedPaymentDetails("WOIV\r\nVOEIR");
        //42P 4*35x
        //mt720Creator.setNegotiationDeferredPaymentDetails("OINVRE");
        //43P 11x
        mt720Creator.setPartialShipments("NOT ALLOWED");
        //43T 11x
        mt720Creator.setTranshipment("ALLOWED");
        //44A 65x
        mt720Creator.setPlaceofTakinginCharge("SINGAPORE");
        //44E 65x
        mt720Creator.setPortofLoadingAirportofDeparture("TYHHT");
        //44F 65x
        mt720Creator.setPortofDischargeAirportofDestination("TYHMYH");
        //44B 65x
        mt720Creator.setPlaceofFinalDestination("ROTTERDAM");
        //44C 6!n
        mt720Creator.setLatestDateofShipment("202302");
        //44D 6*65x
        //mt720Creator.setShipmentPeriod("FNHGF");
        //45A 100*65z
        mt720Creator.setDescriptionofGoodsServices("+400 FUEL TANKS MODEL 1320 AA CONT. 10 GALL.\r\n+120 CLUTCHES 4 GANGS MODEL A 154\r\n+800 CYLINDERS 150CC MODEL C45-15\r\n+600 REAR WHEELS COMPLETE 28 IN MAGNESIUM MODEL MW 123-28\r\n+120 FUEL-INJECTION SETS COMPLETE MODEL A 156-F\r\n+FCA SINGAPORE");
        //46A 100*65z
        mt720Creator.setDocumentsRequired("+SIGNED COMMERCIAL INVOICE IN FIVE-FOLD\r\n+COMBINED TRANSPORT DOCUMENTS (FULL SET) EVIDENCING\r\nTAKING IN CHARGE OF THE MERCHANDISE\r\nAS A FULL CONTAINER LOAD FOR SHIPMENT BY OCEAN VESSEL TO\r\nROTTERDAM ISSUED TOTHE ORDER AND BLANK\r\nENDORSED DATED NOT LATER THAN 030920\r\n+PACKING LIST IN FIVE-FOLD\r\n+DECLARATION ISSUED BY THE COMPANY\r\nUNDERSIGNING THE CTD THAT THE GOODS\r\nWILL BE SENT BY VESSEL PLYING IN REGULAR LINE-SERVICE");
        //47A 100*65z
        mt720Creator.setAdditionalConditions("DFGFD");
        //49G 100*65z
        mt720Creator.setSpecialPaymentConditionsforBeneficiary("MAY ADD");
        //49H 100*65z
        mt720Creator.setSpecialPaymentConditionsforBankOnly("MAY ADD");
        //71D 6*35z
        ActnoBicAdrTagXXX charges = new ActnoBicAdrTagXXX("71");
        charges.setNarrative("OSBB\r\nBBTTT\r\nVVRRDS");//6*35z
        mt720Creator.setCharges(charges);
        //48 3n[/35x]
        mt720Creator.setPeriodforPresentationinDays("10/CTD");
        //58a 58A
        ActnoBicAdrTagXXX requestedConfirmationParty = new ActnoBicAdrTagXXX("58");
        requestedConfirmationParty.setPartyIdentifier("A");//[/1!a][/34x]
        requestedConfirmationParty.setBic("QRFUHIRJXXX");//58A 4!a2!a2!c[3!c]
        //requestedConfirmationParty.setAddress("VROENV\r\nDFVE");//58D 4*35x
        mt720Creator.setRequestedConfirmationParty(requestedConfirmationParty);
        //78 12*65x
        mt720Creator.setInstructionstothePayingAcceptingNegotiatingBank("720");
        //57a 57A
        ActnoBicAdrTagXXX adviseThroughBank = new ActnoBicAdrTagXXX("57");
        adviseThroughBank.setPartyIdentifier("A");//[/1!a][/34x]
        adviseThroughBank.setBic("IDENRBAS720");//57A 4!a2!a2!c[3!c]
        //adviseThroughBank.setLocation("IWNVWEEFFK");//57B [35x]
        //adviseThroughBank.setAddress("OREEEV\r\nOOENVS");//57D 4*35x
        mt720Creator.setAdviseThroughBank(adviseThroughBank);
        //72Z 6*35z
        ActnoBicAdrTagXXX sendertoReceiverInformation = new ActnoBicAdrTagXXX("72");
        sendertoReceiverInformation.setNarrative("RBOSGB2L\r\nRBOSGB2L");
        mt720Creator.setSendertoReceiverInformation(sendertoReceiverInformation);

        MtResult mtResult = MtCreatorManager.packMT(mt720Creator);
    }

    @Test
    public void mt720_test2(){
        MT720Creator mt720Creator=new MT720Creator("720");
        mt720Creator.setRecvBic("HSBCSGSG");//收报行
        mt720Creator.setSendBic("RBOSGB2");//发报行
        //27 1!n/1!n
        mt720Creator.setSequenceofTotal("1/1");
        //40B
        ActnoBicAdrTagXXX formofDocumentaryCredit = new ActnoBicAdrTagXXX("40");
        formofDocumentaryCredit.setType("IRREVOCABLE");//24x
        formofDocumentaryCredit.setCode("ADDING OUR CONFIRMATION");//24x
        mt720Creator.setFormofDocumentaryCredit(formofDocumentaryCredit);
        //20 16x
        mt720Creator.setTransferringBankReference("IMP124678");
        //21 16x
        mt720Creator.setDocumentaryCreditNumber("DAE74568");
        //31C 6!n
        mt720Creator.setDateofIssue("130721");
        //40E 30x[/35x]
        mt720Creator.setApplicableRules("UCP LATEST VERSION");
        //31D 6!n29x
        mt720Creator.setDateandPlaceofExpiry("130930LONDON");
        //50 4*35x
        mt720Creator.setFirstBeneficiary("LONDON MOTOSPARES LTD\r\n12 CYCLE SQUARE\r\nUK/LONDON");
        //59
        ActnoBicAdrTagXXX secondBeneficiary = new ActnoBicAdrTagXXX("59");
        secondBeneficiary.setAcctno("LONDON MOTOSPARES LTD");//[/34x]
        secondBeneficiary.setAddress("12 CYCLE SQUARE\r\nUK/LONDON");//4*35x
        mt720Creator.setSecondBeneficiary(secondBeneficiary);
        //32B 3!a15d
        DcDateCurAmtTagXXX currencyCodeAmount = new DcDateCurAmtTagXXX("32");
        currencyCodeAmount.setCurrency("GBP");//3!a
        currencyCodeAmount.setAmount(new BigDecimal("100000"));//15d
        mt720Creator.setCurrencyCodeAmount(currencyCodeAmount);
        //41a 41D
        ActnoBicAdrTagXXX available = new ActnoBicAdrTagXXX("41");
        //available.setBic("RBOSGB2L");//41A 4!a2!a2!c[3!c]
        available.setAddress("PAYMENT");//41D 4*35x
        available.setCode("PAYMENT");//14x
        mt720Creator.setAvailable(available);
        //49 7!x
        mt720Creator.setConfirmationInstructions("MAY ADD");

        //非必选项
        //52a 52D
        ActnoBicAdrTagXXX issuingBankoftheOriginalDocumentaryCredit = new ActnoBicAdrTagXXX("52");
        issuingBankoftheOriginalDocumentaryCredit.setPartyIdentifier("D");//[/1!a][/34x]
        //issuingBankoftheOriginalDocumentaryCredit.setBic("NMBANL2A");//52A 4!a2!a2!c[3!c]
        issuingBankoftheOriginalDocumentaryCredit.setAddress("OIENER");//52D 4*35x
        mt720Creator.setIssuingBankoftheOriginalDocumentaryCredit(issuingBankoftheOriginalDocumentaryCredit);
        //50B 4*35x
        mt720Creator.setNonBankIssueroftheOriginalDocumentaryCredit("MOTOIMPORT\r\nPO BOX 9\r\nNL/AMSTERDAM");
        //39A 2n/2n
        mt720Creator.setPercentageCreditAmountTolerance("20/23");
        //39C 4*35x
        mt720Creator.setAdditionalAmountsCovered("FREIGHT MAY BE PAID IN EXCESS OF\r\nCREDIT AMOUNT AGAINST FREIGHT NOTE");
        //42C 3*35x
        //mt720Creator.setDraftsat("VMWKW\r\nNLRE");
        //42a 42D
        ActnoBicAdrTagXXX drawee = new ActnoBicAdrTagXXX("42");
        drawee.setPartyIdentifier("D");//[/1!a][/34x]
        //drawee.setBic("FQEIRUWQXXX");//42A 4!a2!a2!c[3!c]
        drawee.setAddress("VRBFD\r\nGRRW\r\nEBEF");//42D 4*35x
        mt720Creator.setDrawee(drawee);
        //42M 4*35x
        mt720Creator.setMixedPaymentDetails("WOIV\r\nVOEIR");
        //42P 4*35x
        mt720Creator.setNegotiationDeferredPaymentDetails("OINVRE");
        //43P 11x
        mt720Creator.setPartialShipments("NOT ALLOWED");
        //43T 11x
        mt720Creator.setTranshipment("ALLOWED");
        //44A 65x
        mt720Creator.setPlaceofTakinginCharge("SINGAPORE");
        //44E 65x
        mt720Creator.setPortofLoadingAirportofDeparture("TYHHT");
        //44F 65x
        mt720Creator.setPortofDischargeAirportofDestination("TYHMYH");
        //44B 65x
        mt720Creator.setPlaceofFinalDestination("ROTTERDAM");
        //44C 6!n
        mt720Creator.setLatestDateofShipment("202302");
        //44D 6*65x
        mt720Creator.setShipmentPeriod("FNHGF");
        //45A 100*65z
        mt720Creator.setDescriptionofGoodsServices("+400 FUEL TANKS MODEL 1320 AA CONT. 10 GALL.\r\n+120 CLUTCHES 4 GANGS MODEL A 154\r\n+800 CYLINDERS 150CC MODEL C45-15\r\n+600 REAR WHEELS COMPLETE 28 IN MAGNESIUM MODEL MW 123-28\r\n+120 FUEL-INJECTION SETS COMPLETE MODEL A 156-F\r\n+FCA SINGAPORE");
        //46A 100*65z
        mt720Creator.setDocumentsRequired("+SIGNED COMMERCIAL INVOICE IN FIVE-FOLD\r\n+COMBINED TRANSPORT DOCUMENTS (FULL SET) EVIDENCING\r\nTAKING IN CHARGE OF THE MERCHANDISE\r\nAS A FULL CONTAINER LOAD FOR SHIPMENT BY OCEAN VESSEL TO\r\nROTTERDAM ISSUED TOTHE ORDER AND BLANK\r\nENDORSED DATED NOT LATER THAN 030920\r\n+PACKING LIST IN FIVE-FOLD\r\n+DECLARATION ISSUED BY THE COMPANY\r\nUNDERSIGNING THE CTD THAT THE GOODS\r\nWILL BE SENT BY VESSEL PLYING IN REGULAR LINE-SERVICE");
        //47A 100*65z
        mt720Creator.setAdditionalConditions("DFGFD");
        //49G 100*65z
        mt720Creator.setSpecialPaymentConditionsforBeneficiary("XCVBN");
        //49H 100*65z
        mt720Creator.setSpecialPaymentConditionsforBankOnly("TYRE");
        //71D 6*35z
        ActnoBicAdrTagXXX charges = new ActnoBicAdrTagXXX("71");
        charges.setNarrative("OSBB\r\nBBTTT\r\nVVRRDS");//6*35z
        mt720Creator.setCharges(charges);
        //48 3n[/35x]
        mt720Creator.setPeriodforPresentationinDays("10/CTD");
        //58a 58D
        ActnoBicAdrTagXXX requestedConfirmationParty = new ActnoBicAdrTagXXX("58");
        requestedConfirmationParty.setPartyIdentifier("D");//[/1!a][/34x]
        //requestedConfirmationParty.setBic("QRFUHIRJXXX");//58A 4!a2!a2!c[3!c]
        requestedConfirmationParty.setAddress("VROENV\r\nDFVE");//58D 4*35x
        mt720Creator.setRequestedConfirmationParty(requestedConfirmationParty);
        //78 12*65x
        mt720Creator.setInstructionstothePayingAcceptingNegotiatingBank("720");
        //57a 57D
        ActnoBicAdrTagXXX adviseThroughBank = new ActnoBicAdrTagXXX("57");
        adviseThroughBank.setPartyIdentifier("D");//[/1!a][/34x]
        //adviseThroughBank.setBic("IDENRBAS720");//57A 4!a2!a2!c[3!c]
        //adviseThroughBank.setLocation("IWNVWEEFFK");//57B [35x]
        adviseThroughBank.setAddress("OREEEV\r\nOOENVS");//57D 4*35x
        mt720Creator.setAdviseThroughBank(adviseThroughBank);
        //72Z 6*35z
        ActnoBicAdrTagXXX sendertoReceiverInformation = new ActnoBicAdrTagXXX("72");
        sendertoReceiverInformation.setNarrative("RBOSGB2L\r\nRBOSGB2L");
        mt720Creator.setSendertoReceiverInformation(sendertoReceiverInformation);

        MtResult mtResult = MtCreatorManager.packMT(mt720Creator);
    }

    @Test
    public void mt720_test3(){
        MT720Creator mt720Creator=new MT720Creator("720");
        mt720Creator.setRecvBic("HSBCSGSG");//收报行
        mt720Creator.setSendBic("RBOSGB2");//发报行
        //27 1!n/1!n
        mt720Creator.setSequenceofTotal("1/1");
        //40B
        ActnoBicAdrTagXXX formofDocumentaryCredit = new ActnoBicAdrTagXXX("40");
        formofDocumentaryCredit.setType("IRREVOCABLE");//24x
        formofDocumentaryCredit.setCode("ADDING OUR CONFIRMATION");//24x
        mt720Creator.setFormofDocumentaryCredit(formofDocumentaryCredit);
        //20 16x
        mt720Creator.setTransferringBankReference("IMP124678");
        //21 16x
        mt720Creator.setDocumentaryCreditNumber("DAE74568");
        //31C 6!n
        mt720Creator.setDateofIssue("130721");
        //40E 30x[/35x]
        mt720Creator.setApplicableRules("UCP LATEST VERSION");
        //31D 6!n29x
        mt720Creator.setDateandPlaceofExpiry("130930LONDON");
        //50 4*35x
        mt720Creator.setFirstBeneficiary("LONDON MOTOSPARES LTD\r\n12 CYCLE SQUARE\r\nUK/LONDON");
        //59
        ActnoBicAdrTagXXX secondBeneficiary = new ActnoBicAdrTagXXX("59");
        secondBeneficiary.setAcctno("LONDON MOTOSPARES LTD");//[/34x]
        secondBeneficiary.setAddress("12 CYCLE SQUARE\r\nUK/LONDON");//4*35x
        mt720Creator.setSecondBeneficiary(secondBeneficiary);
        //32B 3!a15d
        DcDateCurAmtTagXXX currencyCodeAmount = new DcDateCurAmtTagXXX("32");
        currencyCodeAmount.setCurrency("GBP");//3!a
        currencyCodeAmount.setAmount(new BigDecimal("100000"));//15d
        mt720Creator.setCurrencyCodeAmount(currencyCodeAmount);
        //41a 41D
        ActnoBicAdrTagXXX available = new ActnoBicAdrTagXXX("41");
        available.setBic("RBOSGB2L");//41A 4!a2!a2!c[3!c]
        available.setAddress("PAYMENT");//41D 4*35x
        available.setCode("PAYMENT");//14x
        mt720Creator.setAvailable(available);
        //49 7!x
        mt720Creator.setConfirmationInstructions("MAY ADD");

        //非必选项
        //52a 52D
        ActnoBicAdrTagXXX issuingBankoftheOriginalDocumentaryCredit = new ActnoBicAdrTagXXX("52");
        issuingBankoftheOriginalDocumentaryCredit.setPartyIdentifier("D");//[/1!a][/34x]
        //issuingBankoftheOriginalDocumentaryCredit.setBic("NMBANL2A");//52A 4!a2!a2!c[3!c]
        issuingBankoftheOriginalDocumentaryCredit.setAddress("OIENER");//52D 4*35x
        mt720Creator.setIssuingBankoftheOriginalDocumentaryCredit(issuingBankoftheOriginalDocumentaryCredit);
        //50B 4*35x
        mt720Creator.setNonBankIssueroftheOriginalDocumentaryCredit("MOTOIMPORT\r\nPO BOX 9\r\nNL/AMSTERDAM");
        //39A 2n/2n
        mt720Creator.setPercentageCreditAmountTolerance("20/23");
        //39C 4*35x
        mt720Creator.setAdditionalAmountsCovered("FREIGHTMAY BE PAID IN EXCESS OF\r\nCREDIT AMOUNT AGAINST FREIGHT NOTE");
        //42C 3*35x
        mt720Creator.setDraftsat("VMWKW\r\nNLRE");
        //42a 42D
        ActnoBicAdrTagXXX drawee = new ActnoBicAdrTagXXX("42");
        drawee.setPartyIdentifier("D");//[/1!a][/34x]
        //drawee.setBic("FQEIRUWQXXX");//42A 4!a2!a2!c[3!c]
        drawee.setAddress("VRBFD\r\nGRRW\r\nEBEF");//42D 4*35x
        mt720Creator.setDrawee(drawee);
        //42M 4*35x
        mt720Creator.setMixedPaymentDetails("WOIV\r\nVOEIR");
        //42P 4*35x
        mt720Creator.setNegotiationDeferredPaymentDetails("OINVRE");
        //43P 11x
        mt720Creator.setPartialShipments("NOT ALLOWED");
        //43T 11x
        mt720Creator.setTranshipment("ALLOWED");
        //44A 65x
        mt720Creator.setPlaceofTakinginCharge("SINGAPORE");
        //44E 65x
        mt720Creator.setPortofLoadingAirportofDeparture("TYHHT");
        //44F 65x
        mt720Creator.setPortofDischargeAirportofDestination("TYHMYH");
        //44B 65x
        mt720Creator.setPlaceofFinalDestination("ROTTERDAM");
        //44C 6!n
        mt720Creator.setLatestDateofShipment("202302");
        //44D 6*65x
        mt720Creator.setShipmentPeriod("FNHGF");
        //45A 100*65z
        mt720Creator.setDescriptionofGoodsServices("+400 FUEL TANKS MODEL 1320 AA CONT. 10 GALL.\r\n+120 CLUTCHES 4 GANGS MODEL A 154\r\n+800 CYLINDERS 150CC MODEL C45-15\r\n+600 REAR WHEELS COMPLETE 28 IN MAGNESIUM MODEL MW 123-28\r\n+120 FUEL-INJECTION SETS COMPLETE MODEL A 156-F\r\n+FCA SINGAPORE");
        //46A 100*65z
        mt720Creator.setDocumentsRequired("+SIGNED COMMERCIAL INVOICE IN FIVE-FOLD\r\n+COMBINED TRANSPORT DOCUMENTS (FULL SET) EVIDENCING\r\nTAKING IN CHARGE OF THE MERCHANDISE\r\nAS A FULL CONTAINER LOAD FOR SHIPMENT BY OCEAN VESSEL TO\r\nROTTERDAM ISSUED TOTHE ORDER AND BLANK\r\nENDORSED DATED NOT LATER THAN 030920\r\n+PACKING LIST IN FIVE-FOLD\r\n+DECLARATION ISSUED BY THE COMPANY\r\nUNDERSIGNING THE CTD THAT THE GOODS\r\nWILL BE SENT BY VESSEL PLYING IN REGULAR LINE-SERVICE");
        //47A 100*65z
        mt720Creator.setAdditionalConditions("DFGFD");
        //49G 100*65z
        mt720Creator.setSpecialPaymentConditionsforBeneficiary("XCVBN");
        //49H 100*65z
        mt720Creator.setSpecialPaymentConditionsforBankOnly("TYRE");
        //71D 6*35z
        ActnoBicAdrTagXXX charges = new ActnoBicAdrTagXXX("71");
        charges.setNarrative("OSBB\r\nBBTTT\r\nVVRRDS");//6*35z
        mt720Creator.setCharges(charges);
        //48 3n[/35x]
        mt720Creator.setPeriodforPresentationinDays("10/CTD");
        //58a 58D
        ActnoBicAdrTagXXX requestedConfirmationParty = new ActnoBicAdrTagXXX("58");
        requestedConfirmationParty.setPartyIdentifier("D");//[/1!a][/34x]
        //requestedConfirmationParty.setBic("QRFUHIRJXXX");//58A 4!a2!a2!c[3!c]
        requestedConfirmationParty.setAddress("VROENV\r\nDFVE");//58D 4*35x
        mt720Creator.setRequestedConfirmationParty(requestedConfirmationParty);
        //78 12*65x
        mt720Creator.setInstructionstothePayingAcceptingNegotiatingBank("720");
        //57a 57B
        ActnoBicAdrTagXXX adviseThroughBank = new ActnoBicAdrTagXXX("57");
        adviseThroughBank.setPartyIdentifier("B");//[/1!a][/34x]
        //adviseThroughBank.setBic("IDENRBAS720");//57A 4!a2!a2!c[3!c]
        adviseThroughBank.setLocation("IWNVWEEFFK");//57B [35x]
        //adviseThroughBank.setAddress("OREEEV\r\nOOENVS");//57D 4*35x
        mt720Creator.setAdviseThroughBank(adviseThroughBank);
        //72Z 6*35z
        ActnoBicAdrTagXXX sendertoReceiverInformation = new ActnoBicAdrTagXXX("72");
        sendertoReceiverInformation.setNarrative("RBOSGB2L\r\nRBOSGB2L");
        mt720Creator.setSendertoReceiverInformation(sendertoReceiverInformation);

        MtResult mtResult = MtCreatorManager.packMT(mt720Creator);
    }
}
